﻿<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="VANCHEER.General" %>
<%@ Import Namespace="JinianNet.JNTemplate" %>
<%@ Register Src="~/Control/css.ascx" TagPrefix="uc1" TagName="css" %>
<%@ Register Src="~/Control/script.ascx" TagPrefix="uc1" TagName="script" %>
<%@ Register Src="~/Control/head.ascx" TagPrefix="uc1" TagName="head" %>
<%@ Register Src="~/Control/foot.ascx" TagPrefix="uc1" TagName="foot" %>

<%
    string strm = Tools.CheckSql(Request.QueryString["m"]);
    if (strm == "")
    {
        strm = "126005002";
    }
    Command cmd = new Command();

    string strHomeName = Tools.GetKeyWords("126001", "nodename");//首页栏目中文名称
    string strname = Tools.GetKeyWords(strm, "nodename");//当前栏目中文名称
    string strename = Tools.GetKeyWords(strm, "nodelengdesc");//当前栏目英文名称
    string strbanner = cmd.Getbanner(strm, "banner");//pc banner图
    string strfname = Tools.GetKeyWords(strm.Substring(0, strm.Length - 3), "nodename");//一级栏目中文名称
    string strfename = Tools.GetKeyWords(strm.Substring(0, strm.Length - 3), "nodelengdesc");//一级栏目英文名称

    string strsql = " select top 1 * from V_C_MemberPageInformation where isdel=0 and flowstate=99  and nodecode='" + strm + "' ";
    DataSet ds = SQLHelper.ExecuteDataSet(SQLHelper.ConnectionStringLocalTransaction, CommandType.Text, strsql, null);
    DataTable data = ds.Tables[0];
    string strPositioning = string.Empty;

%>

<!DOCTYPE html>
<html lang="en">

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=EDGE">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="author" content="www.vancheer.com" />
	<meta name="viewport" content="width=device-width,user-scalable=no, initial-scale=1">
    <%=  cmd.setseo(cmd.QueryString("m"),"","","") %>  
    <uc1:css runat="server" ID="css" />
</head>

<body>
    <uc1:head runat="server" ID="head" />
	<!-- banner start -->
	<div class="box-container-fluid page-banner-box">
		<img src="/vancheerfile/Images/<%=strbanner %>" alt="<%=strfname %>" class="banner">
		<div class="info">
			<div class="w1200">	
				<div class="name"><%=strfname %></div>
				<p><%=strfename %></p>
			</div>
		</div>
	</div>
	<!-- banner end -->

	<!-- 二级导航 start -->
	<div class="box-container-fluid page-nav-box">
		<div class="w1200">
			<!-- 面包屑导航 -->
			<div class="breadcrumb">
				<img src="/images/home.png" alt="" class="home">
				<div class="line"></div>
				<a href="/"><%=strHomeName %></a>
				<img src="/images/right4.png" alt="" class="icon">
				<a href=""><%=strfname %></a>
				<img src="/images/right4.png" alt="" class="icon">
				<span class="active">会员注册</span>
			</div>
			<div class="nav-list">
				<!-- 手机 显示 start -->
				<div class="introduct-caption" onclick="itemToggle(this)" data-status="0">会员注册</div>
				<!-- 手机 显示 start -->
				<div class="nav">
					<!-- 高亮a.on -->
					<a href="" class="on">会员注册</a>
					<%--<a href="">会员权限</a>--%>
				</div>
			</div>
		</div>
	</div>
	<!-- 二级导航 end -->

	<!-- 会员登录 start -->
	<div class="box-container-fluid member-wrapper">
		<div class="w1200">
			<div class="info-box wow fadeInLeft">
				<img src="/vancheerfile/Images/<%=data.Rows[0]["logo"] %>" alt="<%=data.Rows[0]["Title"] %>" class="icon">
				<div class="name"><%=data.Rows[0]["Title"] %></div>
				<div class="desc"><%=data.Rows[0]["desc"] %> </div>
				<div class="caption"><%=data.Rows[0]["TwosTitle"] %> </div>
				<div class="brief"><%=data.Rows[0]["brief"] %> </div>
			</div>
			<div class="form-box wow fadeInRight">
				<div class="title-box">
					<div class="title">忘记密码</div>
					<div class="btn-box">
						<a href="/register.aspx">去注册</a>
						<span class="line"></span>
						<a href="/login.aspx">去登录</a>
					</div>
				</div>
				<div class="form">
					<div class="item">
						<div class="icon user"></div>
						<input type="text" id="pohoe" class="text" placeholder="您的手机号码">
						<a href="javascript:sendData();" class="send">发送</a>
					</div>
					<div class="item">
						<div class="icon lock"></div>
						<input type="text" class="text" id="SMScode" placeholder="输入收到的验证码">
					</div>
                    <div class="item">
						<div class="icon lock"></div>
						<input type="password" class="text" id="Password" placeholder="密码">
					</div>
                    <div class="item">
						<div class="icon lock"></div>
						<input type="password" class="text" id="ConfirmPassword"  placeholder="再次确认新密码">
					</div>
					<a href="javascript:setData();" class="submit">确认修改</a>
				</div>
				<div class="tips">继续使用我们的服务意味着你已阅读并接受我们的'<a href="">许可协议</a>'。</div>
			</div>
		</div>
	</div>
	<!-- 会员登录 end -->

    
    <uc1:foot runat="server" ID="foot" />
</body>
</html>
<uc1:script runat="server" ID="script" />

<script>
    function sendData() {
        var pohoe = $("#pohoe").val();
        if (pohoe == "") {
            Salert("", "请输入您的手机号码！");
            return;
        }
        $.ajax({
            url: "/AjaxAction/mcode.ashx?action=mcode&hm=" + pohoe,
            type: "get",
            data: "",
            dataType: "json",
            success: function (data) {
                if (data.code == "0") {
                    Salert("", "发送成功！");
                } else {
                    Salert("", "发送失败！");
                }
            },
            error: function (xhr, type) {
                Salert("", '数据操作失败！');
            }
        });

    }
</script>

<script>
    function setData() {
        var pohoe = $("#pohoe").val();
        var SMScode = $("#SMScode").val();
        var ConfirmPassword = $("#ConfirmPassword").val();
        var Password = $("#Password").val();

        if (pohoe == "") {
            Salert("", "请输入您的手机号码！");
            return;
        }
        if (SMScode == "") {
            Salert("", "请输入短信验证码！");
            return;
        }
        if (Password == "") {
            Salert("", "请输入您的密码！");
            return;
        }
        if (ConfirmPassword == "") {
            alert("请输入您的确认密码！");
            return;
        }
        if (Password != ConfirmPassword) {
            alert("密码不一致！");
            return;
        }
        if (Password.length < 8) {
            Salert("", "请输入8个以上的密码！");
            return;
        }
        $.ajax({
            url: "/AjaxAction/ms.ashx?action=spwd&pohoe=" + pohoe + "&password=" + Password + "&scode=" + SMScode,
            type: "get",
            data: "",
            dataType: "json",
            success: function (data) {
                if (data.code == "1") {
                    setTimeout(function () {
                        location.href = "/login.aspx";
                    }, 2000);
                } else if (data.code == "2") {
                    Salert("", "修改失败！");
                } else if (data.code == "3") {
                    Salert("", data.msg);
                } else {
                    Salert("", "操作错误，请稍后再试！");
                }
            },
            error: function (xhr, type) {
                Salert("", '数据操作失败！');
            }
        });

    }
</script>